import { axios } from '@/utils/request'

//  散件采购（入库）列表  分页
export const sparePartsPurList = (params) => {
  const url = `/sparePartsPur/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 列表 合计
export const sparePartsPurCount = (params) => {
  return axios({
    url: '/sparePartsPur/queryCount',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 新增
export const sparePartsPurSave = (params) => {
  return axios({
    url: '/sparePartsPur/save',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 提交
export const sparePartsPurSubmit = (params) => {
  return axios({
    url: '/sparePartsPur/submit',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 入库
export const sparePartsPurPut = (params) => {
  return axios({
    url: '/sparePartsPur/put',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 删除
export const sparePartsPurDel = (params) => {
  return axios({
    url: `/sparePartsPur/delete/${params.id}`,
    method: 'get'
  })
}
//  散件采购（入库） 导出
export const sparePartsPurExport = (params) => {
  return axios({
    url: '/sparePartsPur/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  散件采购（入库） 详情
export const sparePartsPurDetail = (params) => {
  return axios({
    url: `/sparePartsPur/findById/${params.id}`,
    method: 'get'
  })
}
//  散件采购（入库）详情列表  分页
export const sparePartsPurDetailList = (params) => {
  const url = `/sparePartsPur/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  散件采购（入库）详情列表  分页
export const sparePartsPurDetailFinishList = (params) => {
  const url = `/sparePartsPur/detail/queryFinishPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 详情列表 合计
export const sparePartsPurDetailCount = (params) => {
  return axios({
    url: '/sparePartsPur/detail/queryCount',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 详情列表 保存
export const sparePartsPurDetailSave = (params) => {
  return axios({
    url: '/sparePartsPur/detail/save',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 详情列表 删除
export const sparePartsPurDetailDel = (params) => {
  return axios({
    url: `/sparePartsPur/detail/delete/${params.id}`,
    method: 'get'
  })
}
// 散件采购（入库） 详情  打印
export const sparePartsPurDetailPrint = params => {
  const data = {
    url: `sparePartsPur/print/${params.sn}/${params.type}`,
    method: 'get'
  }
  // 喷墨打印
  if (params.type == 'INK') {
    data.responseType = 'blob'
  }
  return axios.request(data)
}
